package tech.nevets.jaml.gui;

import tech.nevets.jaml.util.Config;
import tech.nevets.jaml.JAML;

import javax.swing.*;

public class GuiHandler {

    public GuiHandler() {
        if (Config.getConfig().getBoolean("launcher.first-launch")) {
            FirstLaunchGui firstLaunchGui = new FirstLaunchGui();
            Thread firstLaunchThread = new Thread(firstLaunchGui);
            firstLaunchThread.start();
        }

        Thread homeGuiThread = new Thread(() -> {
            HomeGui frame = new HomeGui();
            frame.setTitle("JAML");
            frame.setIconImage(new ImageIcon(JAML.path + "\\assets\\icon.png").getImage());
            frame.setVisible(true);
        });
        homeGuiThread.start();

    }

    public void startNewProfileGui() {
        Thread newProfileGuiThread = new Thread(() -> {
            NewProfileGui frame = new NewProfileGui();
            frame.setTitle("Create New Profile");
            frame.setIconImage(new ImageIcon(JAML.path + "\\assets\\icon.png").getImage());
            frame.setVisible(true);
        });
        newProfileGuiThread.start();
    }

}
