package tech.nevets.jaml.util;

import org.apache.commons.io.FileUtils;
import tech.nevets.jaml.JAML;

import java.io.File;
import java.io.IOException;
import java.net.URISyntaxException;
import java.net.URL;
import java.nio.file.Path;
import java.nio.file.Paths;

public class FirstLaunch {
    public FirstLaunch() {
        try {
            copyAssets();
        } catch (IOException | URISyntaxException e) {
            e.printStackTrace();
        }
        System.out.println("First Launch!");

        Config.setValue("launcher.first-launch", false);
        Config.saveConfig();
    }

    public static void copyAssets() throws IOException, URISyntaxException {
        URL resource = JAML.class.getResource("/assets/");
        File assets = Paths.get(resource.toURI()).toFile();

        if (!Path.of(JAML.path + "\\assets\\").toFile().exists()) {
            FileUtils.copyDirectory(assets, new File(JAML.path + "\\assets\\"));
        }
    }
}
